## xserver-xorg-video-nouveau 0.0.15+git20100219+9b4118d-0ubuntu5trisquel1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu5trisquel1) taranis; urgency=low

  * Removed references to non-free drivers

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 03 Feb 2011 19:08:39 +0000

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu5) lucid; urgency=low

  * Add 100_check_fbcon_id.patch: Don't try to copy fbcon contents when
    there's no framebuffer bound.  drmModeGetFB complains loudly when it's
    given an invalid framebuffer id, bail out earlier if that's the case.
    Cherrypick from upstream.
    (LP: #529842)
  
 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 31 Mar 2010 16:47:39 -0700

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu4) lucid; urgency=low

  * debian/control:
    + Drop dependency on linux-backports-modules-nouveau-lucid-FLAVOUR.  As of
      2.6.32-16 nouveau is in the main kernel image.  Fixes unsatisfiable 
      depends (LP: #534978) and prevents the alternate-installer being
      confused (LP: #526422).
    + Drop ancient, unnecessary conflicts/replaces on non-existent nvidia-glx
      virtual package.
  * debian/nouveau_kms:
  * debian/rules:
    + Drop nouveau_kms initramfs-tools hook.  Now that nouveau is in the main
      kernel image the existing framebuffer hook correctly copies nouveau into
      the initramfs.
  * debian/dirs:
    + Drop, no longer need initramfs-tools hook directory
  * debian/postinst:
  * debian/postrm:
    + Drop; update-initramfs trigger is no longer necessary.
  
 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 10 Mar 2010 08:51:31 +1100

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu3) lucid; urgency=low

  * debian/patches/02_nouveau_bgnr
    + Add patch from Fedora package enabling smooth Plymouth->GDM transition.
      (LP: #529751)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 26 Feb 2010 15:49:20 +1100

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu2) lucid; urgency=low

  * debian/control
    + Add -pae as fulfilling dependency
      (LP: #524792)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 22 Feb 2010 21:32:09 -0800

xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu1) lucid; urgency=low

  [ Christopher James Halse Rogers ]
  * debian/dirs:
    + Create initramfs-tools hook directory.
  * debian/rules: 
    + Update get-orig-source target to create correctly versioned tarballs
    + Install nouveau_kms hook with executable permissions
  * debian/nouveau_kms
    + initramfs-tools hook to add lbm_nouveau to the initramfs, like the other
      KMS framebuffer drivers.
  * debian/postinst:
  * debian/postrm:
    + Trigger update-initramfs on install and removal to ensure kms hook is 
      used.
  * debian/control:
    + Tighten libdrm-dev build-depend to >= 2.4.18~ for nouveau_class.h updates

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 19 Feb 2010 14:49:30 +0200

xserver-xorg-video-nouveau (1:0.0.15+git20100128+2630a15-0ubuntu2) lucid; urgency=low

  * debian/control: Add dependency on meta package
    linux-backports-modules-nouveau-lucid-generic instead of packages with
    obsolete abi version.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 19 Feb 2010 00:14:04 -0800

xserver-xorg-video-nouveau (1:0.0.15+git20100128+2630a15-0ubuntu1) lucid; urgency=low

  * New upstream snapshot
    + Too many commits to usefully list in the changelog.
    + User modesetting code is now removed.  Nouveau will now only work with 
      KMS.
  * debian/control:
    + Bump versioned Build-Dep on libdrm-dev to >= 2.4.17-1ubuntu1~ to pick 
      up nouveau #define updates.
    + Bump build-dep on xserver-xorg-dev to >= 2:1.7.  Nouveau now requires 
      xorg-server >= 1.7.
    + Drop duplicate build-dep on xserver-xorg-dev
    + List the Build-Depends one-to-a-line for clarity
    + Drop the Depends: on linux-nouveau-modules.  Replace with temporary 
      Depends against apw's linux-backports-modules-nouveau* packages.
    + Bump Standards version to 3.8.4.
    + Remove the big INCOMPLETE warnings from package description.
  * debian/README.source
    + Quilt patchsys README for standards version 3.8.4 compliance
  * Change versioning to match Sarvatt's snapshot versioning.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 04 Dec 2009 12:31:58 +1100

xserver-xorg-video-nouveau (1:0.0.10~git+20090823+569a17a-0ubuntu1) karmic; urgency=low

  * Merge package from Debian experimental.  Remaining Ubuntu changes:
    + debian/control:
      - Remove mention of using module-assistant; we have a DKMS source package
      - Add dependency on quilt for our snapshot-date patch
    + debian/rules:
      - Call patch target
      - Generate snapshot-date in get-orig-source
    + debian/patches/01_include_snapshot_date
      - Use snapshot-date included by get-orig-source to define NV_DRIVER_DATE
        in configure.  Helps upstream identify obsolete drivers with Xorg.log
    + debian/xsfbs/*
      - Update build-system helper from pkg-xorg.  No longer uses deprecated
        --print-instalation-architecture. (LP: #403316)
  * New upstream snapshot.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 23 Aug 2009 19:36:28 +1000

xserver-xorg-video-nouveau (1:0.0.10~git+20090708+ef3a386-0ubuntu1) karmic; urgency=low

  * New upstream snapshot
    + Too many git commits to usefully list in changelog.  Lots of fixes,
      especially for nv5x and nv6x chips.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 08 Jul 2009 08:31:59 +1000

xserver-xorg-video-nouveau (1:0.0.10~git+20090701+c0bf670-1) experimental; urgency=low

  * New upstream snapshot.
    - c0bf670... wfb: fix stupid thinko + more safety
    - a12cb5c... bios: oops
    - e66867e... bios: use image from PRAMIN in preference to PROM on NV50
    - 42c5730... wrap BlockHandler a little earlier
    - 09e663a... kms: safer fb resize func

