=== debian/control ===
Source: xserver-xorg-video-nouveau
Section: x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>, Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>= 7),
 pkg-config,
 xserver-xorg-dev (>= 2:1.7),
 x11proto-video-dev,
 x11proto-core-dev,
 x11proto-fonts-dev,
 x11proto-randr-dev (>= 1.2),
 x11proto-render-dev,
 x11proto-xext-dev,
 libdrm-dev (>= 2.4.18~),
 x11proto-xf86dri-dev,
 x11proto-gl-dev,
 mesa-common-dev,
 automake,
 libtool,
 xutils-dev,
 quilt
Standards-Version: 3.8.4
Homepage: http://nouveau.freedesktop.org/wiki/
Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-video-nouveau
Vcs-Browser: http://git.debian.org/?=pkg-xorg/driver/xserver-xorg-video-nouveau.git

Package: xserver-xorg-video-nouveau
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 ${xserver:Depends}
Provides: ${xviddriver:Provides}
Replaces: xserver-xorg (<< 6.8.2-35)
Description: X.Org X server -- Nouveau display driver (experimental)
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 Although the nouveau project aims to provide full 3D support it is not yet
 complete, and these packages do not include any 3D support.
 .
 This package is built from the FreeDesktop.org xf86-video-nouveau driver.
