## xserver-xorg-video-nouveau 0.0.16+git20110107+b795ca6e-0ubuntu7+5.0trisquel1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu7+5.0trisquel1) dagda; urgency=low

  * Removed references to non-free drivers

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jul 2011 02:28:20 +0000

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu7) natty; urgency=low

  * debian/patches/04_emit_surface_state_after_flush.diff:
    + Cherry-pick from upstream.  Re-emit surface state after flush, or
      PGRAPH_TRAP_CCACHE_FAULTs will ruin your day and cause [mi] EQ overflow
      to eat your X.
  * debian/patches/05_dri2_buffer_failure_path_crash.diff:
    + Cherry-pick from upstream.  Return an error rather than crash the X
      server when failing to create a dri2 buffer.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Apr 2011 16:58:30 +1000

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu6) natty; urgency=low

  * Rebuild to pick up new Xserver dependencies

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 09 Mar 2011 14:50:26 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu5) natty; urgency=low

  * Rebuild to pick up new Xserver dependencies

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 23 Feb 2011 17:53:50 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu4) natty; urgency=low

  * debian/control: Bump build-depends on xserver-xorg-dev to really,
    really build against Xserver 1.10

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 01 Feb 2011 22:02:01 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu3) natty; urgency=low

  * Rebuild against Xserver 1.10

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 31 Jan 2011 18:52:13 -0800

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu2) natty; urgency=low

  * debian/patches/02_nouveau_bgnr: Fix Xserver 1.10 codepath to not crash the
    server.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 31 Jan 2011 18:48:03 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20110107+b795ca6e-0ubuntu1) natty; urgency=low

  * Merge from Debian experimental.  Remaining Ubuntu changes:
    - debian/patches/02_nouveau_bgnr:
      + Patch from Fedora for a smooth Plymouth->GDM transition.
  * Drop debian/patches/03_work-around-exa-hangs.patch; natty's 2.6.37 kernel
    now has the accompanying kernel commit.
  * New upstream snapshot
  * debian/patches/03_use_older_libdrm_headers.diff:
    - Revert git commit c2092a45 which switches to post-2.4.23 split libdrm
      headers.
  * debian/patches/02_nouveau_bgnr:
    - Update to build against both Ubuntu-patched and upstream 1.10 BG None
      ABIs.
  * debian/README.source:
    - Document how to update to a new upstream snapshot.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 26 Jan 2011 13:48:15 +1100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - X server 1.8 or higher is now required.
    - Bump build-dependency on libdrm-dev to (>= 2.4.23) due to
      libdrm-nouveau API changes.

 -- Julien Cristau <jcristau@debian.org>  Tue, 04 Jan 2011 11:59:17 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20100825+390f1c8-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
  * Bump build-dependency on libdrm-dev to (>= 2.4.21-2~) to ensure that
    we keep building against the experimental libdrm.
  * Bump Standards-Version to 3.9.1, no changes needed.

  [ Christopher James Halse Rogers ]
  * debian/patches/03_work-around-exa-hangs.patch:
    - Revert a commit which removes a work-around for EXA hangs; we do not yet
      have the associated kernel commit in our tree.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2010 23:21:29 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20100805+b96170a-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
    - Fixes segfault in DRI2 on Xserver 1.9
    - Fixes assert on Xserver 1.9 startup due to uninitialised scratch pixmaps
  * debian/patches/03_work-around-exa-hangs.patch:
    - Revert a commit which removes a work-around for EXA hangs; we do not yet
      have the associated kernel commit in our tree.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 05 Aug 2010 15:02:37 +1000

xserver-xorg-video-nouveau (1:0.0.16+git20100518+4b8f1a0-0ubuntu1) maverick; urgency=low

  [Christopher James Halse Rogers]
  * Merge from Debian unstable.  Remaining Ubuntu changes:
    - debian/patches/02_nouveau_bgnr:
      + Patch from Fedora for a smooth Plymouth->GDM transition.
  * New upstream snapshot.  
    - Support for monitor hotplug detection added.
    - Handle starting X with no monitors detected more gracefully (LP: #568079)
  * Package now built against 0.0.16 ABI (LP: #590989)
  * debian/rules:
    - get-orig-source: Upstream version is now 0.0.16
  * debian/control:
    - Ubuntu X Swat is maintainer, not MOTU.
  * Merge in useful changes from Debian experimental:

  [ Sven Joachim ]
  * New upstream snapshot, with uevent support.
    - Add build-dependency on libudev-dev.
  * Add a NEWS.Debian for that problem and update README.Debian.
  * Add myself to Uploaders.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 18 May 2010 18:32:50 +1000

xserver-xorg-video-nouveau (1:0.0.15+git20100329+7858345-5) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix Vcs-Browser URL, thanks to Petr Vorel (Closes: #596217).

  [ Sven Joachim ]
  * Update README.Debian:
    - Drop section about enabling the X driver, it has been the default
      for four months already.
    - Only recommend to reboot before switching to the blob, the
      KernelModeSetting page in the nouveau wiki has instructions how
      to do this.  Also mention nv as incompatible with nouveau.
  * Restrict the package to Linux architectures for now, other kernels
    do not have the necessary DRM/GEM/KMS infrastructure.


