=== debian/control ===
Source: xserver-xorg-video-nouveau
Section: x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>, Matthew Johnson <mjj29@debian.org>,
 Cyril Brulebois <kibi@debian.org>, Sven Joachim <svenjoac@gmx.de>
Build-Depends:
 debhelper (>= 7),
 pkg-config,
 xserver-xorg-dev (>= 2:1.9.99.903-2ubuntu1~),
 x11proto-video-dev,
 x11proto-core-dev,
 x11proto-fonts-dev,
 x11proto-randr-dev (>= 1.2),
 x11proto-render-dev,
 x11proto-xext-dev,
 libdrm-dev (>= 2.4.23),
 x11proto-xf86dri-dev,
 x11proto-gl-dev,
 mesa-common-dev,
 libudev-dev,
 automake,
 libtool,
 xutils-dev,
 quilt,
Standards-Version: 3.9.1
Homepage: http://nouveau.freedesktop.org/wiki/
Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-video-nouveau
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-video-nouveau.git

Package: xserver-xorg-video-nouveau
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Provides: ${xviddriver:Provides}
Description: X.Org X server -- Nouveau display driver (experimental)
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 .
 This package is built from the FreeDesktop.org xf86-video-nouveau driver.

Package: xserver-xorg-video-nouveau-dbg
Architecture: linux-any
Depends:
 ${misc:Depends},
 xserver-xorg-video-nouveau (= ${binary:Version}),
Section: debug
Priority: extra
Description: X.Org X server -- Nouveau display driver (debug symbols)
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 .
 This package provides debugging symbols for this Xorg X driver.
