## xserver-xorg-video-nouveau 0.0.16+git20110411+8378443-1~bpo60+1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:0.0.16+git20110411+8378443-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Build against Xserver 1.10.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Aug 2011 16:20:18 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20110411+8378443-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - Fixes sluggish rendering of X core fonts (Closes: #614938).
    - Better support for NVC0 (aka Fermi) cards. Linux 2.6.38 and not readily
      available firmware is required for acceleration, see README.Debian.
    - Bump build-dependency on libdrm-dev to (>= 2.4.24) due to
      libdrm-nouveau API changes.
  * Drop patch 03_work-around-exa-hangs.patch.  Affected users should upgrade
    their kernel to 2.6.36 or newer.
  * Update README.Debian:
    - Former nvidia-glx users should remove the libgl{1,x}-nvidia-alternatives
      packages which divert the Mesa/Xorg files in Squeeze and later.
    - Drop vga16fb from the list of incompatible drivers, KMS handover should
      work as of Linux 2.6.35.
    - Don't mention nv anymore, it has been removed from Debian.
  * Drop unnecessary leading asterisk from NEWS.Debian.
  * Drop the sample xorg.conf, no longer needed.
  * Build against Xserver 1.9.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 12 Apr 2011 01:33:01 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2+exp2) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc3.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 25 Feb 2011 15:46:57 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2+exp1) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc2.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Feb 2011 20:59:59 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2) unstable; urgency=low

  * Switch to dh:
    - Use debhelper 8.
    - Use dh-autoreconf.
    - Get rid of debian/clean accordingly.
    - Bump xserver-xorg-dev build-dep for dh_xsf_substvars and xsf
      debhelper sequence.
  * Remove xsfbs accordingly.
  * Update Uploaders list. Thanks, Chris & Matthew!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 14:52:43 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20100518+4b8f1a0-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot, with uevent support.
    - Add build-dependency on libudev-dev.
  * Build against updated librm, kernel 2.6.34 is now required.
    - Bump build-dependency on libdrm-dev to (>= 2.4.20-3~).
  * Add a NEWS.Debian for that problem and update README.Debian.
  * Add myself to Uploaders.
  
 -- Julien Cristau <jcristau@debian.org>  Wed, 26 May 2010 13:28:28 +0200
