=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: xserver-xorg-video-nouveau
 Section: x11
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Chris Lamb <lamby@debian.org>, Matthew Johnson <mjj29@debian.org>,
- Cyril Brulebois <kibi@debian.org>, Sven Joachim <svenjoac@gmx.de>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>, Sven Joachim <svenjoac@gmx.de>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 8),
+ dh-autoreconf,
  pkg-config,
- xserver-xorg-dev (>= 2:1.9.99.903-2ubuntu1~),
+ xserver-xorg-dev (>= 2:1.9.4),
  x11proto-video-dev,
  x11proto-core-dev,
  x11proto-fonts-dev,
  x11proto-randr-dev (>= 1.2),
  x11proto-render-dev,
  x11proto-xext-dev,
- libdrm-dev (>= 2.4.23),
+ libdrm-dev (>= 2.4.24),
  x11proto-xf86dri-dev,
  x11proto-gl-dev,
  mesa-common-dev,
@@ -40,6 +39,9 @@
  This driver for the X.Org X server (see xserver-xorg for a further description)
  provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
  .
+ Although the nouveau project aims to provide full 3D support it is not yet
+ complete, and these packages do not include any 3D support.
+ Users requiring 3D support should use the non-free "nvidia" driver.
  .
  This package is built from the FreeDesktop.org xf86-video-nouveau driver.
 
@@ -54,5 +56,8 @@
  This driver for the X.Org X server (see xserver-xorg for a further description)
  provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
  .
+ Although the nouveau project aims to provide full 3D support it is not yet
+ complete, and these packages do not include any 3D support.
+ Users requiring 3D support should use the non-free "nvidia" driver.
  .
  This package provides debugging symbols for this Xorg X driver.
