=== debian/watch ===
#git=git://anongit.freedesktop.org/nouveau/xf86-video-nouveau
