## xserver-xorg-video-nouveau 1.0.2-0+zlt1

=== debian/changelog ===
xserver-xorg-video-nouveau (1:1.0.2-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches:
    - patches/02-drm-nouveau-newabi.patch: disable

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Wed, 19 Sep 2012 16:13:59 +0400

xserver-xorg-video-nouveau (1:1.0.1-3) unstable; urgency=low

  * Update NEWS.Debian, Debian kernels from 3.2.23-1 onward are
    sufficient for Fermi acceleration (Closes: #679557).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 26 Jul 2012 18:03:06 +0200

xserver-xorg-video-nouveau (1:1.0.1-2) unstable; urgency=low

  * Cherry-pick commit d1bc38b ("nv40/exa: fix shaders on big-endian
    machines") from upstream (Closes: #679127).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 07 Jul 2012 09:31:04 +0200

xserver-xorg-video-nouveau (1:1.0.1-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot.
    - Bump to 1.0.1 release.
    - Pick up a firefox tab draw fix for nv50 cards.

  [ Sven Joachim ]
  * Actually look for upstream releases in debian/watch.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 20 Jun 2012 17:56:51 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120614+36d3f8c-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot. Picks up a EXA fix for pre-nv50 cards.
  * Cherry pick the silence flip event patch too to reduce spam.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 16 Jun 2012 17:30:53 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120529+ace77b6-1) experimental; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot. First one to have the new ABI.
  * Add 02-drm-nouveau-newabi.patch to build with old libdrm
  - Until mesa 8.1 is released, we cannot build with new libdrm yet

  [ Sven Joachim ]
  * Mention in NEWS.Debian that Linux 3.4 is currently necessary to
    provide acceleration for Fermi cards.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 Jun 2012 19:30:08 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120322+ab7291d-1) unstable; urgency=low

  [ Julien Cristau ]
  * Add Dm-Upload-Allowed control field to allow Sven to upload this package.

  [ Sven Joachim ]
  * New upstream snapshot.
  * Update README.Debian:
    - Nouveau moves out of staging in Linux 3.4.
    - Generalize the firmware section.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 May 2012 15:17:37 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20111201+b5534a1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - Default color depth is now 16bpp for low memory cards, so it should
      be possible to use high resolutions with them (Closes: #585651).
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Don't claim that the driver is experimental in the description.
  * Recommend libmesa-gl1-dri (>= 7.11.1) for the 3D drivers.
  * Update README.Debian:
    - No need to uninstall nvidia-glx anymore, you can select the mesa
      alternative with "update-alternatives --config glx".
    - Linux 3.1 includes free firmware for some Fermi cards.
    - Drop section about lack of DRI and 3D support.
  * Use dpkg-buildflags to set compiler flags.
  * Update debian/copyright.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 02 Dec 2011 15:06:30 +0100
