=== debian/watch ===
#git=git://anongit.freedesktop.org/nouveau/xf86-video-nouveau
version=3
# Only a bzip2 tarball is currently available -- you need to
# use uscan's --repack option
http://nouveau.freedesktop.org/release/xf86-video-nouveau-(.+)\.tar\.bz2
