=== debian/changelog ===
xserver-xorg-video-nouveau (1:1.0.17-3ubuntu1) oracular; urgency=medium

  * d/p/nouveau-fixup-driver-for-new-macro-gating.patch:
    fix implicit declarations (LP: #2062144).
  * d/source/format: upgrade to "3.0 (quilt)" format.

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 13:52:21 -0600

xserver-xorg-video-nouveau (1:1.0.17-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libdrm-dev and quilt.
    + xserver-xorg-video-nouveau: Drop versioned constraint on libgl1-mesa-dri
      in Recommends.

  [ Sven Joachim ]
  * Build with DEB_BUILD_MAINT_OPTIONS=qa=-bug-implicit-func for now
    (Closes: #1066382).
  * Build-Depend on pkgconf rather than on pkg-config.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 15 Mar 2024 18:41:01 +0100

xserver-xorg-video-nouveau (1:1.0.17-2) unstable; urgency=medium

  * Fix build against xserver 21.1.
  * Build against new xserver.
  * watch: Update upstream git url.
  * Update README.source for salsa.
  * Bump policy to 4.6.0.
  * control: Drop automake, libtool from build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Feb 2022 12:58:49 +0200

xserver-xorg-video-nouveau (1:1.0.17-1) unstable; urgency=medium

  * Team upload.

  [ Timo Aaltonen ]
  * control: Migrate to x11proto-dev.

  [ Sven Joachim ]
  * New upstream release.
  * Explicitly specify source format 1.0.
  * Set Rules-Requires-Root to no.
  * Bump debhelper compatibility level to 13.
    - Build-depend on debhelper-compat (= 13) and drop debian/compat.
    - Drop the dh_missing override, redundant in that compat level.
  * Stop passing --disable-silent-rules to dh_auto_configure, redundant.
  * Remove NEWS.Debian, no longer relevant.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 24 Jan 2021 13:09:06 +0100

xserver-xorg-video-nouveau (1:1.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Ilia Mirkin's key BFB9B0C276D5767C710086EFB178BE4EA075DE07 to
    debian/upstream/signing-key.asc.
  * Drop patch for #896979, applied upstream.
  * Refresh remaining patch 01-set-NV_DRIVER_DATE-from-ChangeLog.diff.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 31 Jan 2019 21:17:23 +0100

xserver-xorg-video-nouveau (1:1.0.15-3) unstable; urgency=medium

  * Team upload.
  * Apply proposed patch to fix a null pointer dereference in
    drmmode_output_dpms() (Closes: #896979).
  * Cherry-pick commit 69aecdd305d ("modesetting: Validate the atom for
    enum properties") from upstream to fix another potential null pointer
    dereference.
  * Update Vcs-* fields to point at salsa.debian.org.
  * Use https in debian/watch.
  * Bump debhelper compat level to 11.
    - Drop dh-autoreconf from Build-Depends.
    - Bump quilt build dependency to (>= 0.63-8.2~) (see #851130).
    - Switch from "dh_install --fail-missing" to dh_missing.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 25 Jun 2018 18:39:33 +0200

xserver-xorg-video-nouveau (1:1.0.15-2) unstable; urgency=medium

  * Team upload.
  * Suggest firmware-misc-nonfree, needed for acceleration on Maxwell
    and newer cards.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Jun 2017 18:10:27 +0200

xserver-xorg-video-nouveau (1:1.0.15-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Add support for Pascal cards.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 22 Apr 2017 09:33:48 +0200

xserver-xorg-video-nouveau (1:1.0.14-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Provide acceleration support for Maxwell cards.
  * Add Lyude's key C5469FB8758F9C2B to debian/upstream/signing-key.asc.
  * Drop xserver-xorg-video-nouveau-dbg in favor of an automatic
    xserver-xorg-video-nouveau-dbgsym package.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Mar 2017 17:53:03 +0100

xserver-xorg-video-nouveau (1:1.0.13-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit e9418e4343 ("Do not register hotplug without RandR")
    from upstream (Closes: #860756).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 21 Apr 2017 20:41:50 +0200

xserver-xorg-video-nouveau (1:1.0.13-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit 924083938c ("Consider CRTCs disabled when DPMS is
    off") from upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 11 Mar 2017 09:00:49 +0100

xserver-xorg-video-nouveau (1:1.0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Maarten Lankhorst's key FE558C72A67013C3 to
    debian/upstream/signing-key.asc.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 24 Sep 2016 11:46:20 +0200

xserver-xorg-video-nouveau (1:1.0.12-2) unstable; urgency=medium

  * Team upload.
  * Bump libdrm-dev build-dependency to (>= 2.4.60) as per configure.ac.
  * Drop redundant x11proto-gl-dev and mesa-common-dev build-dependencies.
  * Use https in the Vcs-* and Homepage fields.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 04 Jun 2016 09:31:14 +0200

xserver-xorg-video-nouveau (1:1.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat level to 9.
  * Let uscan verify tarball signatures.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Remove myself from Uploaders.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 11 Dec 2015 17:27:01 +0100

xserver-xorg-video-nouveau (1:1.0.11-1) unstable; urgency=low

  * New upstream release (Closes: #760265).
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Remove Cyril Brulebois from Uploaders.
  * Update debian/copyright.


