=== debian/control ===
Source: xserver-xorg-video-nouveau
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
# Uploaders: nobody, volunteers needed!
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 xserver-xorg-dev (>= 2:21.1),
 x11proto-dev,
 libdrm-dev,
 libudev-dev,
 xutils-dev,
 quilt,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://nouveau.freedesktop.org/wiki/
Vcs-Git: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau.git
Vcs-Browser: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau

Package: xserver-xorg-video-nouveau
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Recommends: libgl1-mesa-dri
Suggests: firmware-misc-nonfree
Provides: ${xviddriver:Provides}
Description: X.Org X server -- Nouveau display driver
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 This package provides 2D support including EXA acceleration, Xv and
 RandR.  3D functionality is provided by the libgl1-mesa-dri package.
 .
 This package is built from the FreeDesktop.org xf86-video-nouveau driver.
