## xserver-xorg-video-nouveau 1.0.18

=== debian/changelog ===
xserver-xorg-video-nouveau (1:1.0.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1095224).
    - Fix implicit declaration of wfbScreenInit (Closes: #1066968).
  * Stop building with DEB_BUILD_MAINT_OPTIONS=qa=-bug-implicit-func
    accordingly.
  * Drop patch added in version 1:1.0.17-2, applied upstream.
  * Add Matt Turner's key 16238A7D92448B02B7B10344B6B1CEAE5103DB07 to
    debian/upstream/signing-key.asc.
  * Switch to format 3.0 (quilt).
    - Drop quilt from Build-Depends and delete debian/README.source.
  * Change Homepage field to https://nouveau.freedesktop.org/.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Feb 2025 17:59:49 +0100
