=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xserver-xorg-video-nouveau
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 # Uploaders: nobody, volunteers needed!
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,10 +11,9 @@
  libdrm-dev,
  libudev-dev,
  xutils-dev,
- quilt,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://nouveau.freedesktop.org/wiki/
+Homepage: https://nouveau.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-nouveau
