=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

# Needed to find ChangeLog:
override_dh_auto_configure:
	dh_auto_configure -- CURDIR="$(CURDIR)" \
			     --libdir=/usr/lib

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Kill *.la files:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with xsf --builddirectory=build/
