=== debian/watch ===
#git=https://gitlab.freedesktop.org/nouveau/xf86-video-nouveau
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://xorg.freedesktop.org/releases/individual/driver/ xf86-video-nouveau-(.+)\.tar\.gz
